> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an ACH Configuration



## OpenAPI

````yaml api-reference/openapi-account.json POST /ach_config
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.860-g0b698b02
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /ach_config:
    post:
      summary: create ach_config
      requestBody:
        content:
          application/json:
            examples: {}
            schema:
              properties:
                account_id:
                  description: Specific account ID that the config applies to
                  type: string
                lock_blocks_credit:
                  description: >-
                    Whether an incoming ACH credit is returned for a locked
                    account
                  type: boolean
              required:
                - account_id
        description: The ach_config to create
        required: true
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_291u96075mva
                    daily_credit_limit: null
                    daily_debit_limit: null
                    id: achconf_3k9p2wd6rn4x
                    inach_return_codes_business: []
                    inach_return_codes_consumer: []
                    lock_blocks_credit: true
                    locked_credit_return_code: null
                    return_allowed_days: null
                    sameday_max_amount: null
                    sec_codes_allowed: []
                    total_credit_limit: null
                    total_debit_limit: null
                    transaction_credit_limit: null
                    transaction_debit_limit: null
              schema:
                properties:
                  account_id:
                    description: Specific account ID that the config applies to
                    type: string
                  lock_blocks_credit:
                    description: >-
                      Whether an incoming ACH credit is returned for a locked
                      account
                    type: boolean
          description: The ach_config created
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````